
#pragma once
#ifndef LVAR_H
#define LVAR_H 1
#include "fsxgauges_sp2.h"

class LVAR
{
private:
	int		id_number;
	char	name[MAX_PATH];
	double	value;

public:
LVAR();
~LVAR();
char* FSAPI GetName();
int FSAPI GetID();
HRESULT FSAPI Register(char* NameIn);
HRESULT FSAPI Check();
HRESULT FSAPI Check(char* NameIn);
HRESULT FSAPI SetLVar(double AmountIn);
HRESULT FSAPI SetLVar(char* NameIn, double AmountIn);

double FSAPI GetLVar();
void FSAPI Update();

double FSAPI UpdateAndGet();
double FSAPI UpdateAndGet(char* NameIn);
};

#endif
